/*
 ** Created on 2020/05/07.
 */
#include <stdbool.h>
#ifndef _DEB_SIGN_H
#define _DEB_SIGN_H

#define TEMP_CERT            "/tmp/_keylin.crt"

#define SIGN_FILE            "_kylin.sig"
#define CERT_FILE            "_kylin.crt"
char *getOuPath(const char *path);
int getDebCert(const char *deb);
int operatesign(char *buf,int len,int num);
void getnext(char t[], int next[]);
int certKMP(char *certfile);
int getDebCertNum(const char *deb,char *oname,int num);
int getDebCertSerNum(const char *deb,char *user_cert);
int doDebVerify2(const char *deb,char *oname,bool isinstall);
int doDebVerifyall(const char *deb,bool isinstall);
int doDebSign(const char *deb, const char *certPath, const char *pkey_file);
int Multiple_doDebSign(const char *deb, const char *certPath, const char *pkey_file);
int doDebVerify(const char *deb);
int getAllOu(const char *deb,char *ouchain);
int getFirstDebCert(const char *deb);
int getIssuerST(const char *deb,char *IssuerST);
int getSubjectO(const char *deb,char *SubjectO);
int getSubjectOU(const char *deb,char *SubjectOU);
int getIssuerOU(const char *deb,char *IssuerOU);
int getSubjectCN(const char *dev,char *SubjectCN);
int SignPackageAll(const char *debPath, const char *certPath, const char *pkey_file);
int findElfSign(const char *path, int recursive, const char *certPath, const char *pkey_file);
int deleteElfSign(const char *path, int recursive);
extern int GetConfigValue(const char * confPath, char * optionName, char *optionData, unsigned int optionDataLen);
int verifybfsign(const char * deb,const char *certPath,const char * signPath);
int DelPackageAll(const char *debPath);
//int getIssuerST(const char *deb,char *IssuerST,const char *user_cert,int bio_type);
#endif //_DEB_SIGN_H
